# Struct ethcore_util::semantic_version::SemanticVersion [−] [src]

    pub struct SemanticVersion {
        pub major: u8,
        pub minor: u8,
        pub tiny: u8,
    }

A version value with strict meaning. Use `as_u32` to convert to a simple integer.

# Example

    extern crate ethcore_util as util;
    use util::semantic_version::*;

    fn main() {
      assert_eq!(SemanticVersion::new(1, 2, 3).as_u32(), 0x010203);
    }

## Fields

`major: u8`

Major version - API/feature removals & breaking changes.

`minor: u8`

Minor version - API/feature additions.

`tiny: u8`

Tiny version - bug fixes.

## Methods

### `impl SemanticVersion`
[src]

#### `fn new(major: u8, minor: u8, tiny: u8) -> SemanticVersion`

Create a new object.

#### `fn as_u32(&self) -> u32`

Convert to a `u32` representation.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)